Workflows

List Workflows

post

Retrieves all workflows for the authenticated user.

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired
Responses
chevron-right
200Success
application/json
post
/api/workflows/list

Create Workflow

post

Creates a new workflow from the provided definition.

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired
Body
stringOptional
Responses
post
/api/workflows/create

Delete Workflow

delete

Deletes a workflow by its unique identifier.

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired
Path parameters
idstringRequired

Unique identifier of the workflow to delete

Responses
chevron-right
200Success
application/json
delete
/api/workflows/{id}

No content

Last updated